# boost::numeric::ublas::type_traits< std::complex< float > > Struct Template Reference

Inherits complex_traits< std::complex< float > >.

List of all members.

## Public Types

typedef type_traits < std::complex< float > > | self_type
typedef std::complex< float > | value_type
typedef const value_type & | const_reference
typedef value_type & | reference
typedef float | real_type
typedef std::complex< double > | precision_type

### template<>
struct boost::numeric::ublas::type_traits< std::complex< float > >